#ifndef _CLIENTE_HPP_
#define _CLIENTE_HPP_

#include <iostream>
#include <vector>
#include <ctime>
#include "Pedido.hpp"

class Cliente
{
private:
    std::string nome;
    std::tm dataNascimento;
    std::string RG;
    std::string CPF;
    std::string endereco;
    std::string telefone;
    std::string email;

    std::vector<Pedido*>* pedido;

public:
    Cliente();
    Cliente(std::string nome, std::tm dataNascimento, std::string RG, std::string CPF, std::string endereco, std::string telefone, std::string email);
    ~Cliente();

    void addPedido(Pedido* pedido);

    std::string getNome();
    void setNome(std::string nome);
    std::tm getDataNascimento();
    void setDataNascimento(std::tm dataNascimento);
    std::string getRG();
    void setRG(std::string RG);
    std::string getCPF();
    void setCPF(std::string CPF);
    std::string getEndereco();
    void setEndereco(std::string endereco);
    std::string getTelefone();
    void setTelefone(std::string telefone);
    std::string getEmail();
    void setEmail(std::string email);
    
    std::vector<Pedido*>* getPedido();
    void setPedido(std::vector<Pedido*> *pedido);

    void imprime();
};


#endif