#ifndef _FUNCIONARIO_HPP_
#define _FUNCIONARIO_HPP_

#include <iostream>
#include <ctime>
#include <vector>
#include "Pedido.hpp"

class Funcionario
{
private:
    std::string nome;
    std::tm dataNascimento;
    std::string RG;
    std::string CPF;
    std::string endereco;
    std::string telefone;
    std::string email;
    std::string matricula;

    std::vector<Pedido*>* pedido;

public:
    Funcionario();
    Funcionario(std::string nome, std::tm dataNascimento, std::string RG, std::string CPF, std::string endereco, std::string telefone, std::string email, std::string matricula);
    ~Funcionario();

    std::string getNome();
    void setNome(std::string nome);
    std::tm getDataNascimento();
    void setDataNascimento(std::tm dataNascimento);
    std::string getRG();
    void setRG(std::string RG);
    std::string getCPF();
    void setCPF(std::string CPF);
    std::string getEndereco();
    void setEndereco(std::string endereco);
    std::string getTelefone();
    void setTelefone(std::string telefone);
    std::string getEmail();
    void setEmail(std::string email);
    std::string getMatricula();
    void setMatricula(std::string matricula);

    std::vector<Pedido*>* getPedido();
    void setPedido(std::vector<Pedido*>* pedido);
};

#endif