#ifndef _ITEMDEPEDIDO_HPP_
#define _ITEMDEPEDIDO_HPP_

#include <iostream>
#include <ctime>
#include "Pedido.hpp"

class Produto;

class ItemDePedido
{
private:
    int quantidade;
    float precoVenda;

    Pedido *pedido;
    Produto *produto;

public:
    ItemDePedido();
    ItemDePedido(int quantidade, float precoVenda, Pedido *pedido, Produto *produto);
    ~ItemDePedido();

    int getQuantidade();
    void setQuantidade(int quantidade);
    float getPrecoVenda();
    void setPrecoVenda(float precoVenda);

    Pedido* getPedido();
    void setPedido(Pedido* pedido);
    Produto* getProduto();
    void setProduto(Produto *produto);
};

#endif