#ifndef _PRODUTO_HPP_
#define _PRODUTO_HPP_

#include <iostream>
#include <ctime>
#include <vector>
#include "ItemDePedido.hpp"

class Produto
{
private:
    int codigo;
    std::string nome;
    std::string descricao;
    int quantidadeEstoque;
    float precoBase;

    std::vector<ItemDePedido*>* itemDePedido;

public:
    int qtdProdutos;

    Produto();
    Produto(int codigo, std::string nome, std::string descricao, int quantidadeEstoque, float precoBase);
    ~Produto();

    int getCodigo();
    void setCodigo(int codigo);
    std::string getNome();
    void setNome(std::string nome);
    std::string getDescricao();
    void setDescricao(std::string descricao);
    int getQuantidadeEstoque();
    void setQuantidadeEstoque(int quantidadeEstoque);
    float getPrecoBase();
    void setPrecoBase(float precoBase);
    
    std::vector<ItemDePedido*>* getItemDePedido();
    void setItemDePedido(std::vector<ItemDePedido*>* itemDePedido);
};

#endif