#include "../bib/Cliente.hpp"
#include "../bib/ItemDePedido.hpp"
#include "../bib/Produto.hpp"

Cliente::Cliente()
{
    this->pedido = new std::vector<Pedido*>;
}

Cliente::Cliente(std::string nome, std::tm dataNascimento, std::string RG, std::string CPF, std::string endereco, std::string telefone, std::string email)
{
    this->nome = nome;
    this->dataNascimento = dataNascimento;
    this->RG = RG;
    this->CPF = CPF;
    this->endereco = endereco;
    this->telefone = telefone;
    this->email = email;

    this->pedido = new std::vector<Pedido*>;
}

Cliente::~Cliente()
{
    delete pedido;
}

void Cliente::addPedido(Pedido* pedido)
{
    this->pedido->push_back(pedido);
}

std::string Cliente::getNome()
{
    return this->nome;
}


void Cliente::setNome(std::string nome)
{
    this->nome = nome;
}


std::tm Cliente::getDataNascimento()
{
    return this->dataNascimento;
}


void Cliente::setDataNascimento(std::tm dataNascimento)
{
    this->dataNascimento = dataNascimento;
}


std::string Cliente::getRG()
{
    return this->RG;
}


void Cliente::setRG(std::string RG)
{
    this->RG = RG;
}


std::string Cliente::getCPF()
{
    return this->CPF;
}


void Cliente::setCPF(std::string CPF)
{
    this->CPF = CPF;
}


std::string Cliente::getEndereco()
{
    return this->endereco;
}


void Cliente::setEndereco(std::string endereco)
{
    this->endereco = endereco;
}


std::string Cliente::getTelefone()
{
    return this->telefone;
}


void Cliente::setTelefone(std::string telefone)
{
    this->telefone = telefone;
}


std::string Cliente::getEmail()
{
    return this->email;
}


void Cliente::setEmail(std::string email)
{
    this->email = email;
}


std::vector<Pedido*>* Cliente::getPedido()
{
    return this->pedido;
}


void Cliente::setPedido(std::vector<Pedido*>* pedido)
{
    this->pedido = pedido;
}

void Cliente::imprime()
{
    std::vector<Pedido*>* pedido;
    std::vector<ItemDePedido*>* itemDePedido;
    std::time_t rawtime;
    std::time (&rawtime);
    std::tm dataTM = *(localtime(&rawtime));
    pedido = this->getPedido();

    for (size_t i = 0; i < pedido->size(); i++)
    {
        if ((dataTM.tm_mon - (*pedido)[i]->getData().tm_mon) <= 6) {
            std::cout << "Valor total: " << (*pedido)[i]->getValorTotal() << std::endl;
            itemDePedido = (*pedido)[i]->getItemDePedido();

            for(size_t j = 0; j < itemDePedido->size(); j++)
            {
                std::cout << "Codigo produto: " << (*itemDePedido)[j]->getProduto()->getCodigo() << std::endl;
            }
        }
    }
    
}